Subject: RE: [Sigtran] SCTP HEARTBEAT ACK

From: Kanad Das <[email-masked]>
Date: Tue, 29 Jan 2002 10:20:04 -0800

One of the main services provided by SCTP is path switchover, and the
heartbeats play an important role in maintaining the status of the path.
 
Kanad

-----Original Message-----
From: Jacques Rajchgod [mailto:[email-masked]]
Sent: Tuesday, January 29, 2002 7:19 AM
To: Sigtran
Subject: [Sigtran] SCTP HEARTBEAT ACK

SCTP RFC 2960, Section 3.3.6, Line 2, page 38:
 
Is the SCTP heartbeat a MUST? The text says "SHOULD send" not "MUST send".
I know that in M3UA, the heartbeat is an optional function. If an entity
does not make use of the heartbeat, it implies so by not responding to a
heartbeat poll. I understand that the SCTP heartbeat is different than the
M3UA's, as the SCTP BEAT helps the association get maintained. Still, can
the association be maintained w/o the SCTP BEAT? 
 
Bottom line: 
Is SCTP BEAT a requirement? (Some vendors have oprtions to disable it...)
 
Jacques Rajchgod
MCI Worldcom
Next Generation System Evaluation
Tel: [972] 729-7180
E-mail: [email-masked]

---

From: Jacques Rajchgod <[email-masked]>
Date: Tue, 29 Jan 2002 12:34:19 -0600

Understand. Still, the text doesn't say "MUST Send", and vendors have
options to disable SCTP Heartbeat...So:
Is SCTP Heartbeat a requirement or an optional matter?

My appreciation,
Jacques Rajchgod
MCI Worldcom

  -----Original Message-----
  From: [email-masked] [mailto:[email-masked]]On Behalf Of
Kanad Das
  Sent: Tuesday, January 29, 2002 12:20 PM
  To: 'Jacques Rajchgod'; Sigtran
  Subject: RE: [Sigtran] SCTP HEARTBEAT ACK

  Kanad
    -----Original Message-----
    From: Jacques Rajchgod [mailto:[email-masked]]
    Sent: Tuesday, January 29, 2002 7:19 AM
    To: Sigtran
    Subject: [Sigtran] SCTP HEARTBEAT ACK

    Is the SCTP heartbeat a MUST? The text says "SHOULD send" not "MUST
send".

    Bottom line:
    Is SCTP BEAT a requirement? (Some vendors have oprtions to disable
it...)

    Jacques Rajchgod
    MCI Worldcom